Package com.verisign.epp.serverstub

## Class ControllerServlet

- java.lang.Object
- - jakarta.servlet.GenericServlet
  - - jakarta.servlet.http.HttpServlet
    - - com.verisign.epp.serverstub.ControllerServlet

- All Implemented Interfaces:
    `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `java.io.Serializable`

      public class ControllerServlet
      extends jakarta.servlet.http.HttpServlet

  EPP Server Stub HTTP Controller Servlet. This Servlet, will route EPP commands to the appropriate handlers and return the result to the client.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class jakarta.servlet.http.HttpServlet

      `LEGACY_DO_HEAD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ControllerServlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doGet​(jakarta.servlet.http.HttpServletRequest aRequest, jakarta.servlet.http.HttpServletResponse aResponse)` | Process the HTTP GET request
    `void` | `doPost​(jakarta.servlet.http.HttpServletRequest aRequest, jakarta.servlet.http.HttpServletResponse aResponse)` | Process the HTTP POST request
    `void` | `init​(jakarta.servlet.ServletConfig config)` | Constructor.

    - ### Methods inherited from class jakarta.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class jakarta.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ControllerServlet

          public ControllerServlet()

  - ### Method Detail

    - #### init

          public void init​(jakarta.servlet.ServletConfig config)
                    throws jakarta.servlet.ServletException

      Constructor.
      Specified by:
        `init` in interface `jakarta.servlet.Servlet`
      Overrides:
        `init` in class `jakarta.servlet.http.HttpServlet`
      Parameters:
        `config` - Servlet configuration
      Throws:
        `jakarta.servlet.ServletException` - Error initializing the servlet

    - #### doPost

          public void doPost​(jakarta.servlet.http.HttpServletRequest aRequest,
                             jakarta.servlet.http.HttpServletResponse aResponse)
                      throws jakarta.servlet.ServletException,
                             java.io.IOException

      Process the HTTP POST request
      Overrides:
        `doPost` in class `jakarta.servlet.http.HttpServlet`
      Parameters:
        `aRequest` - HTTP request
        `aResponse` - HTTP response
      Throws:
        `jakarta.servlet.ServletException` - Exception processing the HTTP request
        `java.io.IOException` - Exception reading and writing from/to the streams

    - #### doGet

          public void doGet​(jakarta.servlet.http.HttpServletRequest aRequest,
                            jakarta.servlet.http.HttpServletResponse aResponse)
                     throws jakarta.servlet.ServletException,
                            java.io.IOException

      Process the HTTP GET request
      Overrides:
        `doGet` in class `jakarta.servlet.http.HttpServlet`
      Parameters:
        `aRequest` - HTTP request
        `aResponse` - HTTP response
      Throws:
        `jakarta.servlet.ServletException` - Exception processing the HTTP request
        `java.io.IOException` - Exception reading and writing from/to the streams